package com.jeethink.flow.mapper;

import com.jeethink.flow.domain.Flow;
import com.jeethink.flow.domain.FlowRecord;
import com.jeethink.flow.domain.FlowStep;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FlowMapper {

    void insertFlow(Flow flow);

    Flow selectFlowByObjectIdAndFlowType(@Param("objectId") String objectId, @Param("flowType") String flowType);

    void updateFlow(Flow flow);

    void changeStatusByObjectIdAndFlowType(Flow flow);

    List<FlowRecord> selectRecordByObjectIdAndFlowType(@Param("objectId") String objectId, @Param("flowType") String flowType);

    void insertRecord(FlowRecord record);

    List<FlowStep> selectStepsByFlowType(String flowType);
}
